Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.protocol.v1
Class ValidateRenewResponse

    java.lang.Object
      be.fgov.ehealth.certra.protocol.v1.RaResponseType
          be.fgov.ehealth.certra.protocol.v1.ValidateRenewResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-02-02T03:42:59+01:00",
               comments="JAXB RI v2.2.11")
    public class ValidateRenewResponse

extends RaResponseType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:certra:protocol:v1}RaResponseType">
           <sequence minOccurs="0">
             <element name="requestValid" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="additionalSearchCriterium" type="{urn:be:fgov:ehealth:certra:protocol:v1}SearchCriteriumType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="validNotAfterDate" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="numberOfDaysBeforeExpiration" type="{http://www.w3.org/2001/XMLSchema}int"/>
             <element name="contactDataType" type="{urn:be:fgov:ehealth:certra:protocol:v1}ContactDataType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ValidateRenewResponse()`

Method Summary
`List<SearchCriteriumType>` | `getAdditionalSearchCriteria()` Gets the value of the additionalSearchCriteria property.
`ContactDataType` | `getContactDataType()` Gets the value of the contactDataType property.
`Integer` | `getNumberOfDaysBeforeExpiration()` Gets the value of the numberOfDaysBeforeExpiration property.
`String` | `getValidNotAfterDate()` Gets the value of the validNotAfterDate property.
`Boolean` | `isRequestValid()` Gets the value of the requestValid property.
`void` | `setContactDataType(ContactDataType value)` Sets the value of the contactDataType property.
`void` | `setNumberOfDaysBeforeExpiration(Integer value)` Sets the value of the numberOfDaysBeforeExpiration property.
`void` | `setRequestValid(Boolean value)` Sets the value of the requestValid property.
`void` | `setValidNotAfterDate(String value)` Sets the value of the validNotAfterDate property.

Methods inherited from class be.fgov.ehealth.certra.protocol.v1.RaResponseType
`getErrors, getId, getResponse, setId, setResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateRenewResponse

    public ValidateRenewResponse()

Method Detail

### isRequestValid

    public Boolean isRequestValid()

  Gets the value of the requestValid property.

  Returns:
    possible object is `Boolean`

### setRequestValid

    public void setRequestValid(Boolean value)

  Sets the value of the requestValid property.

  Parameters:
    `value` - allowed object is `Boolean`

### getAdditionalSearchCriteria

    public List<SearchCriteriumType> getAdditionalSearchCriteria()

  Gets the value of the additionalSearchCriteria property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalSearchCriteria property.

  For example, to add a new item, do as follows:

          getAdditionalSearchCriteria().add(newItem);

  Objects of the following type(s) are allowed in the list `SearchCriteriumType`

### getValidNotAfterDate

    public String getValidNotAfterDate()

  Gets the value of the validNotAfterDate property.

  Returns:
    possible object is `String`

### setValidNotAfterDate

    public void setValidNotAfterDate(String value)

  Sets the value of the validNotAfterDate property.

  Parameters:
    `value` - allowed object is `String`

### getNumberOfDaysBeforeExpiration

    public Integer getNumberOfDaysBeforeExpiration()

  Gets the value of the numberOfDaysBeforeExpiration property.

  Returns:
    possible object is `Integer`

### setNumberOfDaysBeforeExpiration

    public void setNumberOfDaysBeforeExpiration(Integer value)

  Sets the value of the numberOfDaysBeforeExpiration property.

  Parameters:
    `value` - allowed object is `Integer`

### getContactDataType

    public ContactDataType getContactDataType()

  Gets the value of the contactDataType property.

  Returns:
    possible object is `ContactDataType`

### setContactDataType

    public void setContactDataType(ContactDataType value)

  Sets the value of the contactDataType property.

  Parameters:
    `value` - allowed object is `ContactDataType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.